import React from 'react';
import { Drawer } from 'antd';
import WebConfigForm from './webConfigForm';

export default props => {
  const { visible, onClose, config, hasIntegerate, isEdit } = props;

  return (
    <Drawer
      title={isEdit ? '查看/编辑网站配置' : '新增网站'}
      width={620}
      closable
      onClose={onClose}
      visible={visible}
      maskClosable={false}
    >
      <WebConfigForm
        hasIntegerate={hasIntegerate}
        isEdit={isEdit}
        config={config}
        onCancel={onClose}
        onOk={values => {
          console.log(values);
        }}
      />
    </Drawer>
  );
};
